VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "cfMain"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Option Explicit

Private WithEvents mForm As cWidgetForm
Attribute mForm.VB_VarHelpID = -1
Private mToolBox As cfToolBox
Attribute mToolBox.VB_VarHelpID = -1

Private Sub Class_Initialize()
    Set mForm = Cairo.WidgetForms.Create( _
        vbSizable, "Hallo Cairo-Fenster!", , 500, 500)
    Set mToolBox = New cfToolBox
    mForm.IconImageKey = "progIcn" 'Fenster-Icon
    mForm.WidgetRoot.Widget.MouseIconImageKey = "myCursor,8,10" 'Mauszeiger
End Sub

Public Sub Show()
Dim display As cDisplay, displays As cDisplays
    Set displays = New_c.displays
    For Each display In displays
        If display.IsPrimary Then Exit For
    Next

    If Not display Is Nothing Then mForm.CenterOn display
    mForm.Show

    mToolBox.Show mForm
    mForm.SetFocus
End Sub


Private Sub mForm_Activate()
    Debug.Print "Main Activate"
End Sub

Private Sub mForm_ActivateApp(ByVal Activated As Boolean, ByVal OtherThreadID As Long)
    Debug.Print "Main ActivateApp"
End Sub

Private Sub mForm_DeActivate()
    Debug.Print "Main DeActivate"
End Sub

Private Sub mForm_Resize()
    Refresh
End Sub

Private Sub Refresh()
   Dim DrawP As Printer
   Dim Draw As cVBDraw
   
   Set Draw = mForm.WidgetRoot.VBDrawing
   Draw.Cls
   
   'cVBDraw implementiert das VB-Printer-Interface
   Set DrawP = Draw

   DrawP.ScaleMode = vbPixels
   DrawP.DrawWidth = 10
   DrawP.Circle (160, 105), 60, vbRed
   DrawP.Line (112, 90)-(207, 120), vbGreen, B
   DrawP.CurrentX = 120
   DrawP.CurrentY = 96
   DrawP.ForeColor = vbBlue
   DrawP.FontSize = 12
   Draw.PrintText "Hallo Cairo!"
   
   Draw.CC.DrawRegularPolygon 160, 105, 100, 20, splNormal, 50
   Draw.CC.SetSourceColor vbBlack, 0.5
   Draw.CC.Stroke

   mForm.Refresh
  
End Sub

Private Sub Class_Terminate()
    mForm.Unload
    Debug.Print "cfMain beendet"
End Sub
